use anyhow;

use std::sync::mpsc::SyncSender;
use std::thread;
use std::time::Duration;

use crate::types::*;

pub fn main(sender: SyncSender<Msg>) -> anyhow::Result<()> {
    let mut c = 1_usize;
    println!("entering ACCELERATOR sender loop ...");
    loop {
        println!("sending ACCELERATOR message No. {}", c);
        let _ = sender.send(Msg::Accelerometer("{\"velocity\": 21.43, \"altitude\": 367}".to_string()))?;
        thread::sleep(Duration::from_secs(5));
        c += 1;
    }
}
